//====================================================================
// テーブル処理用ライブラリ jslb_writetable.js
//
// 最新情報 http://jsgt.org/mt/archives/01/000414.html
// 上記コメント削除不可。商用利用、改造、自由。連絡不要です。
//
// Changed by MRB
// ver 1.0.0
// http://ek-pro.com/

////
// テーブルを書き出します
// @param  tableId	   対象テーブルを書き出すDIVのID名
// @param  dataAry	   データ 二次元配列で渡します
// @sample writeTable('tdiv',[['名前','data'],['山田','12']])
//
function writeTable(tableId,dataAry){
	//引数があれば下記を実行
	if(!!writeTable.arguments[0]){
		mkTable(tableId,dataAry); //テーブル生成
	}
}

////
// テーブル生成
// @param  tableId	   対象テーブルを書き出すDIVのID名
// @param  dataAry	 データ
//
function mkTable(tableId,dataAry) {

	if(!dataAry)return;
	var table, thead, tbody, tr, td, th, text, i ,j; // ローカル変数
	var row = dataAry.length; // テーブルデータ行数
	var col = dataAry[0].length; // テーブルデータ列数
	var mydoc = document; // documentオブジェクト
	//tableとtbody要素を生成
	table = mydoc.createElement("TABLE");
	table.setAttribute("id","sorttable");
	thead = mydoc.createElement("THEAD");
	tbody = mydoc.createElement("TBODY");

	//tableへtbody要素を挿入しさらに出力用DIVへ挿入
	table.insertBefore(thead, null);
	table.insertBefore(tbody, null);
	document.getElementById(tableId).insertBefore(table, null);

	//行の処理
	for (i=0; i<row; i++) {
		tr = mydoc.createElement("TR");

		//1列目ならば、THEADとする
		if ( i>0 ) {
			tbody.insertBefore(tr, null);
		}else {
			thead.insertBefore(tr, null);
		}

		//列の処理
		for (j=0; j<col; j++) {
			if ( i>0 ) {
				td = mydoc.createElement("TD");
				text = mydoc.createTextNode(dataAry[i][j]);
				tr.insertBefore(td, null);
				td.insertBefore(text, null);
			}else {
				th = mydoc.createElement("TH");
				//ケースにより、ラベル値を変更します（文字型、ナンバー型）
				if (j==0 || j>1 ) {
					th.setAttribute("label","num");
				} else {
					th.setAttribute("label","nocase");
				}
				text = mydoc.createTextNode(dataAry[i][j]);
				tr.insertBefore(th, null);
				th.insertBefore(text, null);
			}
		}
	}

	return table
}
